package Msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /msg/update Msg UpdateMsg
//
// Update msg information | 更新Msg
//
// Update msg information | 更新Msg
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MsgInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MsgInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Msg.NewUpdateMsgLogic(r.Context(), svcCtx)
		resp, err := l.UpdateMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
